#include<bits/stdc++.h>
using namespace std;
void zamena(int A[],int i,int indeks)
{
	int temp;
	temp = A[i];
	A[i] = A[indeks];
	A[indeks] = temp;
}
void printRepeating(int arr[], int size) 
{ 
    int i, j; 
    for(i = 0; i < size; i++) 
        for(j = i + 1; j < size; j++) 
        if(arr[i] == arr[j]) 
            cout << arr[i] << " "; 
} 
void prikaz(int A[],int N)
{
	for(int i=0;i<N;i++)
	{
		printf("%d ",A[i]);
	}
}
main()
{
	int indeks,N,i,br=0,j;
	int max;
	bool izmena=false;
	scanf("%d",&N);
	int A[N];
	for(i=0;i<N;i++)
	{
		scanf("%d",&A[i]);
	}
	max=A[br];
	for(j=0;j<N&&!izmena;j++)
	{
		max=A[br];
		for(i=br;i<N;i++)
		{
			
			if(max<=A[i])
			{
			max=A[i];
			indeks=i;
			}			
		}
		
		if(indeks!=br)
			{
				zamena(A,br,indeks);
				izmena=true;
			}
		else if(indeks==br)
		{
			br++;
		}
		if(br==N-1)
		{
			zamena(A,N-1,N-2);
		}
	}
	prikaz(A,N);
}